%define majver %(echo %version | cut -d. -f1-2)

Name:          kmail
Version:       18.04.0
Release:       1mamba
Summary:       KDE Frameworks 5 mail client
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/applications/%{version}/src/kmail-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdepim-apps-libs-devel
BuildRequires: libQt5WebEngine-devel
BuildRequires: libakonadi-contacts-devel
BuildRequires: libakonadi-devel
BuildRequires: libakonadi-mime-devel
BuildRequires: libakonadi-search-devel
BuildRequires: libassuan-devel
BuildRequires: libgcc
BuildRequires: libgpg-error-devel
BuildRequires: libgpgme-devel
BuildRequires: libgravatar-devel
BuildRequires: libical-devel
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcalcore-devel
BuildRequires: libkcalutils-devel
BuildRequires: libkcmutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcontacts-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkdelibs4support-devel
BuildRequires: libkdepim-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkidentitymanagement-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libkldap-devel
BuildRequires: libkleo-devel
BuildRequires: libkmailtransport-devel
BuildRequires: libkmime-devel
BuildRequires: libknotifications-devel
BuildRequires: libknotifyconfig-devel
BuildRequires: libkontactinterface-devel
BuildRequires: libkparts-devel
BuildRequires: libkpimtextedit-devel
BuildRequires: libkservice-devel
BuildRequires: libksieve-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libktnef-devel
BuildRequires: libkunitconversion-devel
BuildRequires: libkwallet-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libmailcommon-devel
BuildRequires: libpimcommon-devel
BuildRequires: libqt5-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: libsyntax-highlighting-devel
BuildRequires: messagelib-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      kleopatra
Requires:      kdepim-runtime = %{version}
Provides:      kmail4
Obsoletes:     kmail4
Obsoletes:     korn
Obsoletes:     kdepim-core
Requires:      pinentry-qt
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The KDE mail client.
This package is part of KDE5, as a component of the KDE5 kdepim module.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Obsoletes:     kdepim-core

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-man --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/*categories
%{_bindir}/akonadi_*_agent
%{_bindir}/kmail
%{_bindir}/ktnef
%{_datadir}/akonadi/agents/archivemailagent.desktop
%{_datadir}/akonadi/agents/followupreminder.desktop
%{_datadir}/akonadi/agents/mailfilteragent.desktop
%{_datadir}/akonadi/agents/sendlateragent.desktop
%{_datadir}/applications/kmail_view.desktop
%{_datadir}/applications/org.kde.kmail2.desktop
%{_datadir}/applications/org.kde.ktnef.desktop
%{_datadir}/metainfo/org.kde.kmail2.appdata.xml
%{_datadir}/config.kcfg/archivemailagentsettings.kcfg
%{_datadir}/config.kcfg/kmail.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.kmail.kmail.xml
%{_datadir}/dbus-1/interfaces/org.kde.kmail.kmailpart.xml
%{_datadir}/icons/hicolor/*/apps/kmail.png
%{_datadir}/icons/hicolor/*/actions/ktnef_extract_all_to.png
%{_datadir}/icons/hicolor/*/actions/ktnef_extract_to.png
%{_datadir}/icons/hicolor/*/apps/ktnef.png
%{_datadir}/icons/locolor/*/actions/ktnef_extract_all_to.png
%{_datadir}/icons/locolor/*/actions/ktnef_extract_to.png
%{_datadir}/icons/locolor/*/apps/ktnef.png
%{_datadir}/icons/hicolor/*/emblems/*.svg
%{_datadir}/icons/hicolor/scalable/apps/kmail.svgz
%{_datadir}/kconf_update/*
%{_datadir}/kmail2/pics/pgp-keys.png
%{_datadir}/knotifications5/*.notifyrc
%{_datadir}/kontact/ksettingsdialog/*.setdlg
%{_datadir}/kservices5/ServiceMenus/kmail_addattachmentservicemenu.desktop
%{_datadir}/kservices5/*.desktop
%{_datadir}/kservices5/kontact/*.desktop
%{_kde5_servicetypesdir}/dbusmail.desktop
#%dir %{_datadir}/kxmlgui5/kmail2
#%{_datadir}/kxmlgui5/kmail2/*
%{_datadir}/kxmlgui5/kontactsummary/kontactsummary_part.rc
#%{_datadir}/messageviewer/about/default/introduction_kmail.html
%{_datadir}/icons/breeze-dark/*/emblems/gpg-key-trust-level-*.svg
%lang(ca) %{_datadir}/doc/HTML/ca
%lang(de) %{_datadir}/doc/HTML/de
%lang(en) %{_datadir}/doc/HTML/en
%lang(es) %{_datadir}/doc/HTML/es
%lang(et) %{_datadir}/doc/HTML/et
%lang(it) %{_datadir}/doc/HTML/it
%lang(nl) %{_datadir}/doc/HTML/nl
%lang(pt) %{_datadir}/doc/HTML/pt
%lang(pt_BR) %{_datadir}/doc/HTML/pt_BR
#%lang(sv) %{_datadir}/doc/HTML/sv
%lang(uk) %{_datadir}/doc/HTML/uk
%doc COPYING COPYING.DOC

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libkmailprivate.so.*
%{_libdir}/qt5/plugins/*.so
%doc COPYING.LIB

%changelog
* Thu May 03 2018 Automatic Build System <autodist@mambasoft.it> 18.04.0-1mamba
- automatic version update by autodist

* Mon Mar 12 2018 Automatic Build System <autodist@mambasoft.it> 17.12.3-1mamba
- automatic version update by autodist

* Sat Feb 10 2018 Automatic Build System <autodist@mambasoft.it> 17.12.2-1mamba
- automatic version update by autodist

* Sat Jan 13 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 17.12.1-2mamba
- require kdepim-runtime

* Sat Jan 13 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Tue Jan 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.0-1mamba
- automatic version update by autodist

* Sat Nov 11 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Sat Oct 21 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Sun Sep 10 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Thu Aug 31 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Sat Mar 04 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Sat Jan 28 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 16.12.1-1mamba
- package created using the webbuild interface
